import { CreateCtx } from '../../interfaces/create.interface';
export declare function validateLayout({ layoutPath }: CreateCtx): Promise<void>;
export declare function updateSettings({ dest, options }: CreateCtx): Promise<void>;
export declare function build({ dest, options }: CreateCtx): Promise<string[]>;
export declare function archive({ build: files, buildDir, dest: rootPath, options }: CreateCtx): Promise<void>;
